﻿<%@ Page Title="" Language="C#" MasterPageFile="~/admin/MasterPage.master" AutoEventWireup="true" CodeFile="OpenBalanceReportDetail.aspx.cs" Inherits="Reports_OrderWiseOpenBalanceReport_" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="Server"></asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" runat="Server">

    <div class="content-header row">
        <div class="content-header-left col-md-6 col-12 mb-2">
            <h3 class="content-header-title">By Due</h3>
            <input type="hidden" id="hiddenPackerAutoId" runat="server" />
            <input type="hidden" id="hiddenEmpType" runat="server" />
            <div class="row breadcrumbs-top">
                <div class="breadcrumb-wrapper col-12">
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item"><a href="/Admin/mydashboard.aspx">Home</a></li>

                        <li class="breadcrumb-item"><a href="#">Reports</a></li>

                        <li class="breadcrumb-item"><a href="#">Open Balance Report</a></li>

                        <li class="breadcrumb-item active">By Due</li>
                             <li class="breadcrumb-item active" title="Help"><a href="#" onclick="GetPageInformation(10024)"><i class="la la-question-circle"></i></a></li>
                    </ol>
                </div>
            </div>
        </div>
        <div class="content-header-right col-md-6 col-12">
            <div class="btn-group float-md-right" role="group" aria-label="Button group with nested dropdown">
                <button class="btn btn-info round dropdown-toggle dropdown-menu-right box-shadow-2 px-2"
                    id="btnGroupDrop1" type="button" data-toggle="dropdown" aria-haspopup="true"
                    aria-expanded="false">
                    Action</button>
                <div class="dropdown-menu" aria-labelledby="btnGroupDrop1">
                    <button type="button" class="dropdown-item" onclick="PrintElem()">Print</button>
                    <button type="button" class="dropdown-item" id="btnExport" onclick="ExportReport();">Export</button>
                </div>
            </div>
        </div>
    </div>

    <div class="content-body">
        <section id="drag-area">
            <div class="row">
                <div class="col-md-12">
                    <div class="card">
                        <div class="card-content collapse show">
                            <div class="card-body">
                                <div class="row">
                                    <div class="col-md-3 form-group">
                                        <select class="form-control border-primary input-sm" id="ddlSalesPerson" onchange="BindCustomer();">
                                            <option value="0">All Sales Person</option>
                                        </select>
                                    </div>
                                    <div class="col-md-3 form-group">
                                        <select class="form-control border-primary input-sm" id="ddlCustomertype" onchange=" BindCustomer();">
                                            <option value="0">All Customer Type</option>
                                        </select>
                                    </div>
                                    <div class="col-md-3 form-group">
                                        <select class="form-control border-primary input-sm" id="ddlCustomer">
                                            <option value="0">All Customer</option>
                                        </select>
                                    </div>

                                    <div class="col-md-1 form-group">
                                        <button type="button" class="btn btn-info buttonAnimation pull-left round box-shadow-1  btn-sm" data-animation="pulse" id="btnSearch" onclick="BindReport(1);">Search</button>
                                    </div>
                                </div>
                            </div>
                        </div>

                    </div>
                </div>
            </div>


            <div class="row">
                <div class="col-md-12">

                    <div class="card">
                        <div class="card-content collapse show">
                            <div class="card-body">

                                <div class="row form-group">
                                    <div class="col-md-12 col-sm-12">
                                        <div class="table-responsive">
                                            <table class="MyTableHeader" id="tblOrderList">
                                                <thead class="bg-blue white">
                                                    <tr>
                                                        <td class="CustomerName left">Customer</td>
                                                        <td class="SalesPerson left">Sales Person</td>
                                                        <td class="0-30-Days right  wth">0-30 Days</td>
                                                        <td class="31-60-Days right  wth">31-60 Days</td>
                                                        <td class="61-90-Days right  wth">61-90 Days</td>
                                                        <td class="90-Above right wth">91-Above</td>
                                                        <td class="NoofOrder wth">No of Orders</td>
                                                        <td class="TotalOrderAmount right wth">Total Amount</td>
                                                        <td class="TotalPaid right wth">Total Paid</td>
                                                        <td class="TotalDue right wth">Total Due</td>
                                                    </tr>
                                                </thead>
                                                <tbody>
                                                </tbody>
                                                <tfoot>
                                                    <tr style="font-weight:bold">
                                                        <td colspan="2">Total</td>
                                                        <td id="30Days" class="right">0.00</td>
                                                        <td id="60Days" class="right">0.00</td>
                                                        <td id="90Days" class="right">0.00</td>
                                                        <td id="Above90" class="right">0.00</td>
                                                        <td id="NoOfOrders">0</td>
                                                        <td id="TotalOrderAmount" class="right">0.00</td>
                                                        <td id="TotalPaid" class="right">0.00</td>
                                                        <td id="AmtDue" class="right">0.00</td>
                                                    </tr>
                                                   <tr style="font-weight:bold">
                                                        <td  colspan="2">Overall Total</td>
                                                        <td id="gt30Days" class="right">0.00</td>
                                                        <td id="gt60Days" class="right">0.00</td>
                                                        <td id="gt90Days" class="right">0.00</td>
                                                        <td id="gtAbove90" class="right">0.00</td>
                                                        <td id="gtNoOfOrders">0</td>
                                                        <td id="gtTotalOrderAmount" class="right">0.00</td>
                                                        <td id="gtTotalPaid" class="right">0.00</td>
                                                        <td id="gtAmtDue" class="right">0.00</td>
                                                    </tr>
                                                </tfoot>
                                            </table>
                                            <h5 class="well text-center" id="EmptyTable" style="display: none">No data available.</h5>
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-2">
                                        <select id="ddlPaging" class="form-control input-sm border-primary pagesize" onchange="BindReport(1);">
                                            <option value="10">10</option>
                                            <option value="50">50</option>
                                            <option value="100">100</option>
                                            <option value="500">500</option>
                                            <option value="1000">1000</option>
                                            <option value="0">All</option>
                                        </select>
                                    </div>
                                    <div class="col-md-10">
                                        <div class="Pager text-right"></div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

        </section>
        <div class="table-responsive" style="display: none;" id="PrintTable">
            <div class="row" style="margin-bottom: 5px;">
                <div class="col-md-4 col-lg-4 col-sm-4 text-left">
                    <img src="" id="PrintLogo" height="40" />
                </div>
                <div class="col-md-4 col-lg-4 col-sm-4 text-center" style="margin-top: 0.5%; font-size: 12px; color: black; font-weight: bold;">
                    Open Balance Report By Due
                    <br />
                    <span class="text-center DateRangeCSS" style="font-size: 9px; color: black;" id="DateRange"></span>

                </div>
                <div class="col-md-4 col-lg-4 col-sm-4 text-right" id="PrintDate" style="line-height: 3; font-size: 12px; color: black; font-weight: bold;">Print Date</div>
            </div>

            <table class="MyTableHeader PrintMyTableHeader PrintTable1">
                <thead>
                    <tr>
                        <td class="PCustomerName left">Customer</td>
                        <td class="SalesPerson left">Sales Person</td>
                        <td class="P0-30-Days wth right">0-30 Days</td>
                        <td class="P31-60-Days wth right">31-60 Days</td>
                        <td class="P61-90-Days wth right">61-90 Days</td>
                        <td class="P90-Above wth right">91-Above</td>
                        <td class="PNoofOrder wth" style="text-align:center">No of Orders</td>
                        <td class="PTotalOrderAmount right wth">Total Amount</td>
                        <td class="PTotalPaid right wth">Total Paid</td>
                        <td class="PTotalDue right wth">Total Due</td>
                    </tr>
                </thead>
                <tbody>
                </tbody>
                <tfoot>
                    <tr>
                        <td colspan="2" style="font-weight:bold;text-align:center">Overall Total</td>
                        <td id="Pgt30Days" class="right" style="font-weight:bold">0.00</td>
                        <td id="Pgt60Days" class="right" style="font-weight:bold">0.00</td>
                        <td id="Pgt90Days" class="right" style="font-weight:bold">0.00</td>
                        <td id="PgtAbove90" class="right" style="font-weight:bold">0.00</td>
                        <td id="PgtNoOfOrders" style="font-weight:bold;text-align:center">0</td>
                        <td id="PgtTotalOrderAmount" class="right" style="font-weight:bold">0.00</td>
                        <td id="PgtTotalPaid" class="right" style="font-weight:bold">0.00</td>
                        <td id="PgtAmtDue" class="right" style="font-weight:bold">0.00</td>
                    </tr>
                </tfoot>
            </table>
        </div>
    </div>

    <link href="http://www.jqueryscript.net/css/jquerysctipttop.css" rel="stylesheet" type="text/css" />
    <script type="text/javascript">
        document.write('<scr' + 'ipt defer type="text/javascript" src="../js/jquery.table2excel.js?v=' + new Date() + '"></scr' + 'ipt>');
    </script>
    <script src="//ajax.googleapis.com/ajax/libs/jquery/2.2.4/jquery.min.js"></script>
   
</asp:Content>


